unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, TAGraph,
  TASeries, TASources, TATools, Types;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    Chart1LineSeries2: TLineSeries;
    ChartToolset1: TChartToolset;
    ChartToolset1DataPointClickTool1: TDataPointClickTool;
    StatusBar1: TStatusBar;
    procedure ChartToolset1DataPointClickTool1PointClick(ATool: TChartTool;
      APoint: TPoint);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  Math,
  TACustomSeries;
{ TForm1 }

procedure TForm1.ChartToolset1DataPointClickTool1PointClick(ATool: TChartTool;
  APoint: TPoint);
var
  tool: TDatapointClickTool;
  series: TChartSeries;
  i: Integer;
begin
  tool := ATool as TDataPointClickTool;
  series := tool.Series as TChartSeries;

  for i:=0 to series.Count-1 do
    if i = tool.PointIndex then
      series.Source.Item[i]^.Text := series.Title
    else
      series.Source.Item[i]^.Text := '';

  Chart1.Invalidate;
end;

procedure TForm1.FormCreate(Sender: TObject);
const
  N = 50;
  MIN = -10;
  MAX = +10;
var
  i: Integer;
  x, y: Double;
begin
  for i := 0 to N-1 do begin
    x := i / (N - 1) * (MAX - MIN) + MIN;
    y := sin(x);
    Chart1LineSeries1.AddXY(x + randg(0.0, 0.1), y + randg(0.0, 0.1));
    // randg --> Addieren von normalverteiltem Rauschen mit StdAbw 0.1)
    y := cos(x);
    Chart1LineSeries2.AddXY(x + randg(0.0, 0.1), y + randg(0.0, 0.1));
  end;
end;


end.

